### Enumeration

# FwupdPlugin EfiHardDriveDevicePathSubtype

since: 1.0

#### Declaration

    enum FwupdPlugin.EfiHardDriveDevicePathSubtype

#### Description

No description available.

Available since: 1.0

#### Members

`FU_EFI_HARD_DRIVE_DEVICE_PATH_SUBTYPE_HARD_DRIVE`
  No description available.
  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_HARD_DRIVE_DEVICE_PATH_SUBTYPE_CDROM`
  No description available.
  - Value: `2`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_HARD_DRIVE_DEVICE_PATH_SUBTYPE_VENDOR`
  No description available.
  - Value: `3`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_HARD_DRIVE_DEVICE_PATH_SUBTYPE_FILE_PATH`
  No description available.
  - Value: `4`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_HARD_DRIVE_DEVICE_PATH_SUBTYPE_MEDIA_PROTOCOL`
  No description available.
  - Value: `5`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_HARD_DRIVE_DEVICE_PATH_SUBTYPE_PIWG_FIRMWARE_FILE`
  No description available.
  - Value: `6`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_HARD_DRIVE_DEVICE_PATH_SUBTYPE_PIWG_FIRMWARE_VOLUME`
  No description available.
  - Value: `7`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_HARD_DRIVE_DEVICE_PATH_SUBTYPE_RELATIVE_OFFSET_RANGE`
  No description available.
  - Value: `8`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_HARD_DRIVE_DEVICE_PATH_SUBTYPE_RAM_DISK_DEVICE_PATH`
  No description available.
  - Value: `9`
  - Nickname: `None`
  - Available since: 1.0